#
# spec file for package python-django-cors-headers
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-django-cors-headers
Version:        3.2.1
Release:        bp153.1.21
Summary:        A Django App that adds CORS headers to responses
License:        MIT
URL:            https://github.com/adamchainz/django-cors-headers
Source:         https://files.pythonhosted.org/packages/source/d/django-cors-headers/django-cors-headers-%{version}.tar.gz
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
BuildArch:      noarch
%python_subpackages

%description
A Django App that adds CORS (Cross-Origin Resource Sharing) headers to
responses.

%prep
%setup -q -n django-cors-headers-%{version}
rm pytest.ini

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export DJANGO_SETTINGS_MODULE=tests.settings
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python -m pytest -v

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Jan 13 2020 Tomáš Chvátal <tchvatal@suse.com>
- Build on Leap by not using the macros
* Tue Jan  7 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.2.1:
  * Converted setuptools metadata to configuration file.
  * Support Python 3.8.
* Mon Oct  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.1.1:
  * Support the value file:// for origins, which is accidentally
    sent by some versions of Chrome on Android.
* Mon Sep 16 2019 ecsos@opensuse.org
- Fix build error for Leap.
* Mon Sep 16 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 3.1.0:
  * Drop Python 2 support, only Python 3.5-3.7 is supported now.
  * Fix all links for move from github.com/ottoyiu/django-cors-headers to
    github.com/adamchainz/django-cors-headers.
  * Add a hint to the corsheaders.E013 check to make it more obvious how to resolve it.
  * Allow 'null' in CORS_ORIGIN_WHITELIST check.
  * CORS_ORIGIN_WHITELIST now requires URI schemes, and optionally ports
  * Removed the CORS_MODEL setting, and associated class
* Mon May  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.5.3:
  * Tested on Django 2.2. No changes were needed for compatibility.
  * Tested on Python 3.7. No changes were needed for compatibility.
* Tue Mar 19 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.5.2:
  * Improve inclusion of tests in sdist to ignore .pyc files.
* Fri Mar 15 2019 John Vandenberg <jayvdb@gmail.com>
- Use PyPI sdist
- Update to v2.5.1
  * Include test infrastructure in sdist
* Sun Mar 10 2019 John Vandenberg <jayvdb@gmail.com>
- Remove %%bcond and add %%check, with 100%% coverage
- Update to v2.5.0
  * Drop Django 1.8, 1.9, and 1.10 support. Django 1.11+ is supported.
- from v2.4.1
  * Fix DeprecationWarning from importing collections.abc.Sequence
    on Python 3.7.
* Tue Feb 26 2019 John Vandenberg <jayvdb@gmail.com>
- Add Django dependency
- Use %%license
- Update to v2.4.0
  * Always add 'Origin' to the 'Vary' header for responses to enabled
    URL's, to prevent caching of responses intended for one origin
    being served for another.
- from v2.3.0
  * Match ``CORS_URLS_REGEX`` to ``request.path_info`` instead of
    ``request.path``, so the patterns can work without knowing the
    site's path prefix at configuration time.
- from v2.2.1
  * Add ``Content-Length`` header to CORS preflight requests.
    This fixes issues with some HTTP proxies and servers,
    e.g. AWS Elastic Beanstalk.
- from v2.2.0
  * Django 2.0 compatibility. Again there were no changes to the
    actual library code, so previous versions probably work.
  * Ensured that ``request._cors_enabled`` is always a ``bool()`` -
    previously it could be set to a regex match object.
* Tue Aug  8 2017 mardnh@gmx.de
- Initial package, version 2.1.0
